org.apache.hc.client5.http.impl

## Interface StateHolder<T>

Type Parameters:
  `T` - The type of object to store and restore.

All Known Implementing Classes:
  BasicScheme, BearerScheme

    @Internal
    public interface StateHolder<T>

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `restore(T state)`
`T` `store()`

### Method Detail

#### store

    T store()

#### restore

    void restore(T state)